Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Bitwise Class Reference

Class for manipulating bit patterns. More...

`#include <OgreBitwise.h>`

List of all members.

## Static Public Methods

template<typename T> FORCEINLINE unsigned int | getBitShift (T mask)
| Returns the number of bits a pattern must be shifted right by to remove right-hand zeroes.
template<typename SrcT, typename DestT> DestT | convertBitPattern (SrcT srcValue, SrcT srcBitMask, DestT destBitMask)
| Takes a value with a given src bit mask, and produces another value with a desired bit mask.

## Detailed Description

Class for manipulating bit patterns.

Definition at line 34 of file OgreBitwise.h.

## Member Function Documentation

template<typename SrcT, typename DestT>
DestT Ogre::Bitwise::convertBitPattern | ( | SrcT | srcValue,
|  | SrcT | srcBitMask,
|  | DestT | destBitMask
| ) | `[static]`

Takes a value with a given src bit mask, and produces another value with a desired bit mask.

Remarks:
  This routine is useful for colour conversion.

Definition at line 59 of file OgreBitwise.h.

References getBitShift().

template<typename T>
FORCEINLINE unsigned int Ogre::Bitwise::getBitShift | ( | T | mask | ) | `[static]`

| Returns the number of bits a pattern must be shifted right by to remove right-hand zeroes. Definition at line 40 of file OgreBitwise.h. References FORCEINLINE. Referenced by convertBitPattern().

The documentation for this class was generated from the following file:

- OgreBitwise.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:48 2004